#include <bits/stdc++.h>
using namespace std;

int main() {
    string s;
    int m, c, d;
    getline(cin, s);

    cin>>m;
    char prev;
    int res=0;
    for(int i=1; i<=m; i++){
        cin>>c>>d;
        prev=s[c-1];

        for(int i=c; i<=d-1; i++){
            if(int(s[i])<int(prev)){
                res+=1;
            }

            prev=s[i];

        }
        res+=1;

        cout<<res<<endl;
        res=0;
    }




}